%define name	rpmcheck
%define version	0.0.2368
%define release	%mkrel 6

Summary:	A tool to check consistency of rpm repositories
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		System/Configuration/Packaging
# No website yet
URL:		http://www.edos-project.org/xwiki/bin/Main/Wp2
# There is no released version yet. Sources are from the svn depot at
# https://protactinium.pps.jussieu.fr:12345/svn/edos/users/vouillon
Source:		%name-%version.tar.bz2
Source1: 	bash-completion
Patch0:     rpmcheck-0.0.2368-handle-suggests.patch
Patch1:     rpmcheck-0.0.2368-no-doc-conflict.patch
BuildRequires:	ocaml
Buildroot:	%_tmppath/%name-%version

%description
rpmcheck is a tool to check consistency of Mandriva Linux rpm repositories
(that is, of hdlist files.)

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1

%build
%__make rpmcheck

%install
%__rm -rf %buildroot
%__install -d %buildroot%_bindir
%__install -m 0755 rpmcheck %buildroot%_bindir

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
%__rm -rf %buildroot

%files
%doc COPYING README
%{_sysconfdir}/bash_completion.d/%{name}
%_bindir/%name




%changelog
* Sat Sep 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.2368-6mdv2009.0
+ Revision: 286180
- bash completion

* Thu Sep 04 2008 Pixel <pixel@mandriva.com> 0.0.2368-5mdv2009.0
+ Revision: 280802
- allow conflicts on doc files (#42896)

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.2368-4mdv2009.0
+ Revision: 260320
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.2368-3mdv2009.0
+ Revision: 251476
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.2368-1mdv2008.1
+ Revision: 140747
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Pixel <pixel@mandriva.com> 0.0.2368-1mdv2008.0
+ Revision: 69051
- new svn snapshot
- add a patch to handle (discard) suggests


* Sat Oct 21 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.2253-1mdv2007.0
+ Revision: 71577
+ Status: not released
- New version of rpmcheck
- Import rpmcheck

* Wed Feb 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.751-1mdk
- 0.0.751

* Thu Dec 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.441-1mdk
- 0.0.441

* Wed Dec 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.439-1mdk
- Initial Mandriva package

